myshogi.h File Reference
`#include "osl/numEffectState.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | osl
namespace | osl::record
| 棋譜関係
namespace | osl::record::myshogi

## Functions

std::string | osl::record::myshogi::show (const NumEffectState &state)
std::string | osl::record::myshogi::show (const NumEffectState &state, Move last_move, const NumEffectState &prev, bool add_csa_move=false)
std::string | osl::record::myshogi::show (Player)
std::string | osl::record::myshogi::show (Ptype)
std::string | osl::record::myshogi::show (Square)
std::string | osl::record::myshogi::show (Piece)